Backport GCC 5.4.0 and binutils 2.26.1 to 16.04 LTS

Bug #1586673 reported by Matthias Klose on 2016-05-28
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
binutils (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gcc-5 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gcc-5-cross (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gcc-5-cross-ports (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

Backport GCC 5.4.0 and binutils 2.26.1 to 16.04 LTS. 16.04 LTS ships binutils and gcc-5 versions taken from the release branches, which saw more regression fixes and support for new hardware until the 5.4.0 and 2.26.1 point releases. The idea is to include these final point releases into 16.04.1 LTS, with test rebuilds done for all packages, and regression checks for seeded packages.

Acceptance criteria should be no regressions for the seeded packages, plus a best effort for unseeded packages. During the analysis of the build failures, one gcc regression (libstdc++ header reorg) was found and reverted, and validated, that these build failures are fixed (plus affected seeded packages were uploaded to xenial-proposed anyway).

reference test rebuild:
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20160614-baseline-xenial.html

test rebuild (xenial-release):
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20160614-xenial.html

test rebuild (xenial-updates):
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20160614-updates-xenial.html

The test rebuild was done using packages from the ubuntu-toolchain-r/ppa.

Attached is an analysis of the build failures, and whether they are regressions, or already are present in the xenial release.

main component
==============

bzr
 LP: #1592731, fixed in -proposed
ecj
 LP: #1592801, fixed in -updates
freerdp
 not a regression
gcc-5-cross
 needs update after gcc-5 acceptance
gnutls28
 LP: #1592693, fixed in -updates
kmod
 unrelated, tracked in LP: #1592722
libnih
 not a regression
llvm-toolchain-3.6
 not a regression
migrate
 unrelated (mysql-5.7), tracked in LP: #1592663
neon27 (s390x)
 unrelated, traked in LP: #1592698
openvswitch
 not a regression, tracked in LP: #1592793
python-pymysql
 unrelated (mysql-5.7), tracked in LP: #1592664
python-tooz
 unrelated, tracked in LP: #1592660
sbsigntool
 not a regression
shim
 not a regression
strongswan
 racy test, unrelated, tracked in LP: #1592706
ubuntu-defaults-builder
 unrelated, LP: #1597370, waiting for approval
upstart
 not a regression
whoopsie
 LP: #1592649, fixed in -updates
yaboot
 not a regression

bzr package set
===============

bzr-builder
bzr-upload
 no regressions

cli-mono package set
====================

gbrainy
ikvm
monodevelop
tangerine
 no regressions

desktop-extra package set
=========================

java-gnome
 not a regressions

edubuntu package set
====================

atomix
gbrainy
 no regressions

input-methods package set
=========================

fcitx-table-other
libkkc
 no regressions

kubuntu package set (minus packages from main)
==============================================

avogadro
 not a regression
eigen2
 not a regression
fam
 not a regression
farstream-0.2
 not a regression
gst-plugins-base0.10
 not a regression
gst-plugins-good0.10
 not a regression
gstreamer0.10
 not a regression
kqoauth
 not a regression
kubuntu-web-shortcuts
 not a regression
libmpc
 not a regression
libmygpo-qt
 not a regression
libspe2
 not a regression
networkmanager-qt
 obsoleted by version in -updates
plotutils
 not a regression
qtcurve
 not a regression
tbb
 not a regression
telepathy-haze
 not a regression
telepathy-qt
 not a regression

lubuntu package set
====================

hardinfo
 not a regression
libguess
 not a regression

mozilla package set
====================

eclipse
xiphos
 no regressions

mythbuntu package set
=====================

piston-mini-client
 not a regression

schooltool package set
======================

schooltool-book
 not a regression

ubuntu-cloud package set
========================

virtualbox
 needs fix for bad GCC version check, in progress (LocutusOfBorg)

ubuntu-qt-packages package set
==============================

ciborium
 not a regression

ubuntukylin package set
=======================

libguess
piston-mini-client
ubuntu-kylin-meta
 no regressions

ubuntustudio package set
========================

font-manager
jamin
openclipart
xcftools
 no regressions

xorg package set
================

xorg-gtest
 unrelated to toolchain updates, checked locally

packages fixed before gcc-5 was fixed to revert one libstdc++
header reorganization patch (the packages are also fixed in
xenial-proposed/-updates):
=============================================================

audacious-plugins
 LP: #1597407, accepted in -proposed
baloo-kf5
 LP: #1597427, accepted in -proposed
brlaser
 LP: #1592659, fixed in -updates
dbus-cpp
 LP: #1592814, in progress
libqapt
 LP: #1597425, accepted in -proposed
mir
 LP: #1592691, in progress

Matthias Klose (doko) on 2016-05-29
description: updated
summary: - Backport GCC 5.4.0 to 160.04 LTS
+ Backport GCC 5.4.0 to 16.04 LTS

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gcc-5 (Ubuntu):
status: New → Confirmed
Matthias Klose (doko) on 2016-06-30
summary: - Backport GCC 5.4.0 to 16.04 LTS
+ Backport GCC 5.4.0 and binutils 2.26.1 to 16.04 LTS
description: updated
Matthias Klose (doko) on 2016-06-30
description: updated
Matthias Klose (doko) wrote :

The gdc front-end also saw an update from gdc's gcc-5-branch; verified that we don't see any regressions for packages build-depending on gdc.

For the armhf and arm64 architectures, the Linaro support was updated from the 5-2016.04 snapshot to the 5-2016.06 snapshot. This is the last Linaro snapshot in the 5 series seeing new backports (before switching to the 6 series). All backports were taken from GCC trunk, which was in stage3/stage4 at this time, only allowing regression fixes.

binutils's and GCC's testsuite don't show any regressions, compared to the versions included in the xenial release.

Hello Matthias, or anyone else affected,

Accepted binutils into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils/2.26.1-1ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in binutils (Ubuntu):
status: New → Fix Released
Changed in binutils (Ubuntu Xenial):
status: New → Fix Committed
Matthias Klose (doko) wrote :

comparing the base line rebuild with the toolchain rebuild (which includes -updates and -security), you see:

 - 2905 builds which fail in both test rebuilds

 - 91 progressions

 - 86 regressions (analysis below)

The progressions are:

alglib powerpc
axiom arm64
bogofilter amd64 arm64 armhf i386 powerpc ppc64el s390x
bzr-upload amd64
cfengine3 ppc64el
check arm64
checkinstall armhf
cluster3 powerpc
efitools amd64
elixir-lang powerpc
feh amd64 arm64 powerpc ppc64el s390x
firefox arm64
freecad amd64 arm64 i386 powerpc ppc64el s390x
freeorion amd64
ga ppc64el
gr-air-modes amd64 armhf powerpc
gts armhf
kicad arm64
libaudio-mpd-perl amd64
libcrypto++ i386
libsearch-estraier-perl amd64
libsendmail-milter-perl s390x
libtasn1-6 amd64
libu2f-host amd64 arm64 armhf i386 powerpc ppc64el s390x
libu2f-server amd64 arm64 armhf i386 powerpc ppc64el s390x
libykneomgr amd64 arm64 armhf i386 powerpc ppc64el s390x
mame s390x
oath-toolkit amd64 arm64 armhf i386 powerpc ppc64el s390x
openjfx amd64 arm64 armhf i386 powerpc ppc64el s390x
openvswitch i386
postgis ppc64el
prometheus ppc64el s390x
python-traits powerpc
refcard amd64
ruby-dataobjects-mysql powerpc
slt amd64
swi-prolog powerpc
swt4-gtk ppc64el
swt-gtk ppc64el
tbb powerpc
tiledarray powerpc
upstart s390x
yap arm64

Matthias Klose (doko) wrote :

these are either already fixed, in the queue, or have an uploader working on it.

unseeded packages, fixed packages
=================================

aplpy amd64
 LP: #1598090, fix waiting in -proposed
astroquery amd64
 LP: #1598101, fix waiting in -proposed
astroscrappy amd64 arm64 armhf i386 powerpc ppc64el s390x
 LP: #1598104, fix waiting in -proposed
bzr amd64 arm64 armhf i386 powerpc ppc64el s390x
 fixed in -updates
ccdproc amd64
 LP: #1598109, fix waiting in -proposed
ecj amd64
 fixed in -updates
gcc-5-cross amd64 arm64 i386 ppc64el
 waits for acceptance of gcc-5
gcc-5-cross-ports amd64 i386
 waits for acceptance of gcc-5
gnutls28 amd64
 fixed in -updates
libnih armhf
 ignore? build is known to time out
migrate amd64
 LP: #1592663, needs backport from yakkety (jamespage)
montage-wrapper amd64
 LP: #1598131, fix waiting in -proposed
mu-cade amd64 armhf i386
 needs a backport of -11, gdc issue
 LP: #1598137, waiting in -proposed
neon27 s390x
 unrelated, tracked in LP: #1592698
networkmanager-qt amd64 arm64 armhf i386 powerpc ppc64el s390x
 builds in xenial-updates
parsec47 amd64 armhf i386
 LP: #1598137, waiting in -proposed
photutils amd64 arm64 armhf i386 powerpc ppc64el s390x
 LP: #1598140, waiting in -proposed
spectral-cube amd64
 LP: #1598145, waiting in -proposed
tatan amd64 armhf i386
 LP: #1598137, waiting in -proposed
tumiki-fighters amd64 armhf i386
 LP: #1598145, waiting in -proposed
virtualbox amd64 i386
 LP: #1598158, waiting in -proposed
whoopsie s390x
 fixed in -updates

Matthias Klose (doko) wrote :

that's the TODO list, there are some which need investigation for the planned Python2 and Python3 updates, but there is nothing obviously related to the toolchain update.

unseeded packages, to investigate
=================================

ck armhf
 TODO: time out in tests
cross-toolchain-base-ports amd64
 TODO: mips64 issue, maybe just drop mips64
elixir-lang arm64 s390x
 ignore, times out everywhere
enjarify amd64
 ignore? version in yakkety disabled running
 the tests
ggcov amd64 arm64 armhf i386 powerpc ppc64el s390x
 TODO, test failures, also seen in Debian #826887
gr-air-modes i386
 TODO: Python swig, fails on other archs too
maxima arm64
 TODO: test failures
nuitka amd64
 TODO, Python 3.5 related
postgis amd64
 TODO, new test time out, times out on other archs
python-websockets amd64
 TODO, python 3.5 related, also Debian #828901
urwid ppc64el s390x
 TODO: python3.5 event loop related
wcsaxes amd64
 TODO: fix test failures

Martin Pitt (pitti) on 2016-07-01
Changed in gcc-5 (Ubuntu):
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-5 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5/5.4.0-6ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-5 (Ubuntu Xenial):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

The -proposed update is quite a bit larger, presumably the backport forgot to disable the extra debugging stuff? E. g. xenial's cpp-5 is 7.7 MB, while xenial-proposed's is 30 MB.

Package: cpp-5
Version: 5.3.1-14ubuntu2

tags: added: verification-failed
removed: verification-needed
Martin Pitt (pitti) wrote :

Marking v-failed for now, as I don't think we should put this big download overhead on everyone in a stable release, nor that it was intended.

Matthias Klose (doko) wrote :

now properly stripped.

tags: added: verification-needed
removed: verification-failed
Andy Whitcroft (apw) wrote :

On the kernel side, we have copied these updates to our bootstrap PPA and rebuild the current xenial-proposed kernel with them. The builds were successful on all architectures. We have also boot tested these kernels on amd64, ppc64el, and s390x.

Matthias Klose (doko) wrote :

wcsaxes is now fixed, see LP: #1598152.

Matthias Klose (doko) on 2016-07-07
Changed in gcc-5 (Ubuntu):
status: Fix Committed → Fix Released
Changed in gcc-5-cross (Ubuntu):
status: New → Fix Released
Matthias Klose (doko) on 2016-07-07
no longer affects: starpu-contrib (Ubuntu Xenial)
no longer affects: starpu-contrib (Ubuntu)
Martin Pitt (pitti) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-5-cross into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5-cross/24ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-5-cross (Ubuntu Xenial):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

For yakkety this is in -proposed, not in -release yet, so fix committed.

Changed in gcc-5-cross-ports (Ubuntu):
status: New → Fix Committed
Changed in gcc-5-cross-ports (Ubuntu Xenial):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-5-cross-ports into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5-cross-ports/10ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Matthias Klose (doko) wrote :

gcc-5-cross-ports now migrated to the release pocket

Changed in gcc-5-cross-ports (Ubuntu):
status: Fix Committed → Fix Released
Matthias Klose (doko) wrote :

both gcc-5-cross and gcc-5-cross-ports build and are installable.

tags: added: verification-done
removed: verification-needed
Kees Cook (kees) wrote :

I'm able to use these (and I can verify they fix the problems I was having), so +1 to promotion to -updates. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.26.1-1ubuntu1~16.04

---------------
binutils (2.26.1-1ubuntu1~16.04) xenial-proposed; urgency=medium

  * SRU: LP: #1586673, backport to 16.04 LTS.
    - Supports new POWER9 instructions. LP: #1588475.
  * Disable N32 and MIPS r6 cross builds.

binutils (2.26.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26.1-1) unstable; urgency=medium

  * binutils 2.26.1 release.

binutils (2.26-12ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26-12) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160624.
    - Fix PR ld/20254 (AVR), PR ld/20221 (AVR), PR ld/20244 (x86).
    - Support for three more new POWER9 instructions.
  * Cherry pick backports for AArch64 vulcan support (Dann Frazier).
    LP: #1594452.

binutils (2.26-11ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26-11) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160610.
    - Fix PR ld/20159, reverting the change for PR ld/16467. LP: #1588123.
  * Use ldconfig triggers instead of calling ldconfig directly.

binutils (2.26-10ubuntu3) yakkety; urgency=medium

  * Fix PR ld/20159, reverting the change for PR ld/16467.

binutils (2.26-10ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

binutils (2.26-10) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160601.
    - Fix PR ld/20117, PR ld/20030, PR ld/20093.
    - Support for a few more new POWER9 instructions.
  * Build for N32 and MIPS r6 (YunQiang Su). Closes: #807377.
  * Mark cross binutils as M-A: foreign (Helmut Grohne). Closes: #824424.
  * More reproducible build fixes (Chris Lamb). Closes: #824413.
  * Fix PR ld/19886, --as-needed regression, taken from the trunk.

binutils (2.26-9ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.
    - Fix PR ld/19886, --as-needed regression, taken from the trunk.

binutils (2.26-9) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160512.
    - Fix PR ld/19878, PR ld/19827, PR gas/19909, PR ld/20006, PR gold/19047,
      PR gas/20047, PR 20060.

 -- Matthias Klose <email address hidden> Thu, 30 Jun 2016 11:14:03 +0200

Changed in binutils (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for binutils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (8.1 KiB)

This bug was fixed in the package gcc-5 - 5.4.0-6ubuntu1~16.04.1

---------------
gcc-5 (5.4.0-6ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * SRU: LP: #1586673. Backport GCC 5.4 to 16.04 LTS.
  * Revert a libstdc++ header reorg done after the 5.3.0 release.
  * Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
  * Revert a libstdc++ header reorg done after the 5.3.0 release (only for
    OS releases including a GCC 5 at release time).
  * Fixes C++ ICE. LP: #1593608.

gcc-5 (5.4.0-6ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-6) unstable; urgency=medium

  * Fix gdc cross build.
  * Disable the AArch64 Vulcan cpu support for FSF builds, needs a proper
    back port.

gcc-5 (5.4.0-5ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
  * Revert a libstdc++ header reorg done after the 5.3.0 release (only for
    OS releases including a GCC 5 at release time).
  * Enforce build using binutils 2.26.1 for unstable/development series.
  * Mark cross compilers as M-A: foreign. Addresses: #827136.
  * Remove the MIPS r6 support again, dak doesn't like unknown architectures.

  [ Aurelien Jarno ]
  * Drop support for loongson 2f (YunQiang Su). Closes: #827554.
  * Apply proposed patch from Matthew Fortune to fix libjava on mips64el.

gcc-5 (5.4.0-4ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-4) unstable; urgency=medium

  * gdc: Fix linking the runtime library. Closes: #826645.
  * gdc: Fix updates from 5.3.x. Closes: #826583.
  * Update the Linaro support to the 5-2016.06 snapshot.
  * Add MIPS r6 support and bump mipsn32(el) ISA to r2 (YunQiang Su).
    Closes: #824986.
  * Avoid storing -fdebug-prefix-map in DW_AT_producer (for better
    reproducibility). Taken from the trunk (Daniel Kahn Gillmor).
    Closes: #819176.

gcc-5 (5.4.0-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.4.0-3) unstable; urgency=medium

  * Update Ada patch for KFreeBSD (Steven Chamberlain). Closes: #826332.

gcc-5 (5.4.0-2) unstable; urgency=medium

  * Fix gdc packaging for architectures without libphobos support.

gcc-5 (5.4.0-1) unstable; urgency=medium

  * GCC 5.4.0 release.
    - Fix PR target/68696 (AArch64), PR fortran/70350.
  * Update embedded timestamp setting patch, backported from the trunk.
  * Update the Linaro support to the 5-2016.05 snapshot.
  * Update gdc to the gcc-5 branch 20160603.

gcc-5 (5.3.1-21ubuntu11) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-5 (5.3.1-21) unstable; urgency=medium

  * GCC 5.4.0 release candidate 1.
  * Update to SVN 20160528 (r236840, 5.3.1) from the gcc-5-branch.
    - Fix PR libstdc++/69703, PR libstdc++/71038, PR libstdc++/71036,
      PR libstdc++/71037, PR libstdc++/71005, PR libstdc++/71004,
      PR libstdc++/70...

Read more...

Changed in gcc-5 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5-cross - 24ubuntu0.1

---------------
gcc-5-cross (24ubuntu0.1) xenial-proposed; urgency=medium

  * SRU: LP: #1586673. Build using the updated gcc-5 package.

 -- Matthias Klose <email address hidden> Thu, 07 Jul 2016 11:55:22 +0200

Changed in gcc-5-cross (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5-cross-ports - 10ubuntu0.1

---------------
gcc-5-cross-ports (10ubuntu0.1) xenial-proposed; urgency=medium

  * SRU: LP: #1586673. Build using the updated gcc-5 package.

gcc-5-cross-ports (10ubuntu1) yakkety; urgency=medium

  * Build using 5.4.0-6ubuntu1.

gcc-5-cross-ports (10) unstable; urgency=medium

  * Build using 5.4.0-6. Closes: #827644.
    - Mark cross compilers as M-A: foreign. Addresses: #827136.
  * Build gcc-plugin-dev packages.
  * Build using 5.4.0-6.
  * Build powerpcspe cross compilers.

gcc-5-cross-ports (9ubuntu1) yakkety; urgency=medium

  * Build using 5.3.1-20ubuntu1.

gcc-5-cross-ports (9) unstable; urgency=medium

  * Build using 5.3.1-20.

gcc-5-cross-ports (8) unstable; urgency=medium

  * Build using 5.3.1-18.
  * Stop building packages built from gcc-6-cross-ports.
  * Fix installing the gcc-5 changelog.
  * Still install the changelog of the gcc-5-cross package as a Debian
    changelog, because the binary packages are versioned as non-native
    packages.

 -- Matthias Klose <email address hidden> Fri, 08 Jul 2016 08:47:36 +0200

Changed in gcc-5-cross-ports (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers